Bug 927 - doesn\'t switch to latin kbd in ru_RU
: doesn\'t switch to latin kbd in ru_RU
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/TeXmacs)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-05-14 20:15 by
Modified: 2005-09-04 12:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-05-14 20:15:23
I have Ctrl-Shift as the XKB switch. TeXmacs-1.0-alt2 is installed.

When I start texmacs from ru_RU.KOI8-R environment, it makes Russian letters from any input: typing English words 
in latin mode produces them transliterated into Russian.

After switching the keyboard group with Ctrl-Shift, my typing produces the Russian words I print. So I am unable to type in an English word with latin letters.


And in opposite, when starting texmacs withj LANG=C, it is impossible to input Russian letters: they show up as accented latin ones.

Perhaps this is also important:

XFree86-server-4.0.3-ipl2mdk
XFree86-static-libs-4.0-ipl8mdk
XFree86-xfs-4.0-ipl8mdk
XFree86-libs-4.0-ipl8mdk
XFree86-4.0-ipl8mdk

---

---
The report has been inspired by this note at LRN: <a href="http://www.linux.ru.net/index.php?module=forums&amp;faction=show&amp;message=43058">http://www.linux.ru.net/index.php?module=forums&amp;faction=show&amp;message=43058</a>

------- Comment #1 From 2002-05-14 20:31:44 -------
На Softerrе  <a
href="http://www.softerra.ru/freeos/17080/page1.html">http://www.softerra.ru/freeos/17080/page1.html</a>
была статья, которая затрагивает и этот вопрос. Может, найдёте что-то полезное
там?
(Сообщение продублировано в форуме LRN.)
------- Comment #2 From 2002-05-14 20:31:44 -------
На Softerrе  <a
href="http://www.softerra.ru/freeos/17080/page1.html">http://www.softerra.ru/freeos/17080/page1.html</a>
была статья, которая затрагивает и этот вопрос. Может, найдёте что-то полезное
там?
(Сообщение продублировано в форуме LRN.)
------- Comment #3 From 2002-08-17 22:38:02 -------
This is not actually a bug. To switch languge in TeXmacs it is neccesary to
make
two actions (1) swith kayboard layout (2) change languge in TeXmacs menu Text
-&gt;
Languge.  So if TeXmacs is started in the koi8-r environment it assumes Russin
language and inputs Russian text via translit if keyboard is in latin mode
and directly if keyboard is in Russian mode.  If one need to type English 
it is neccesary to change language in TeXmacs menu Text -&gt; Languge.  
On the other hand I agree that transliteration is hardly useful and confuses
users. So it is removed in the new build.
------- Comment #4 From 2002-08-17 22:38:02 -------
This is not actually a bug. To switch languge in TeXmacs it is neccesary to
make
two actions (1) swith kayboard layout (2) change languge in TeXmacs menu Text
-&gt;
Languge.  So if TeXmacs is started in the koi8-r environment it assumes Russin
language and inputs Russian text via translit if keyboard is in latin mode
and directly if keyboard is in Russian mode.  If one need to type English 
it is neccesary to change language in TeXmacs menu Text -&gt; Languge.  
On the other hand I agree that transliteration is hardly useful and confuses
users. So it is removed in the new build.
------- Comment #5 From 2005-09-04 12:17:55 -------
closed